zed: '*'

input: |
  {"id":24,"schema":{"of":[{"name":"a","of":["int32","string"],"type":"union"}],"type":"record"},"values":[["1","asdfasdf"]]}
  {"id":24,"values":[["0","1"]]}
  {"id":24,"values":[null]}

output-flags: -f tzng

output: |
  #0:record[a:union[int32,string]]
  0:[1:asdfasdf;]
  0:[0:1;]
  0:[-;]
